Foreman - Bug #10278

New Hosts deployed on oVirt/RHEV have names with domain dots/periods replaced with hyphens
(i.e. foo-bar-com)

04/27/2015 08:50 AM - Richard Davis

Status: Closed
Priority: Normal
Assignee: Ivan Necas
Category: Compute resources - oVirt
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1317529 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3415
Description

New Hosts deployed on oVirt/RHEV via Foreman are given names with the period/dot (.) in the domain name replaced with
hyphens.

For instance, a "New Host" deployed on oVirt/RHEV with a given name of "foo" using "Domain" of "bar.com" appears on oVirt/RHEV
with the name of "foo-bar-com".
This should be "foo.bar.com".

This may be due to a early limitation within oVirt/RHEV that disallowed period/dots in VM names, but this limitation was removed
some versions ago.

Thank You

Associated revisions

Revision cf826485 - 04/12/2016 08:20 AM - lvan Necas
Fixes #10278 - don't replace . with - for oVirt VM anymore
The version that supports . in VM names (v3.1.0-18) has been around

for almost 4 years
now (https://github.com/oVirt/ovirt-engine/commit/540a75e0f7bc4b9ed879471d3d830d575c6d6060).

Time to move one and make the VM names in oVirt a bit nicer now.

History

#1 - 04/27/2015 09:05 AM - Dominic Cleal

https://github.com/theforeman/foreman/blob/1.8.0-RC3/app/models/compute_resources/foreman/model/ovirt.rb#L.139-L140 is responsible, for
reference.

#2 - 04/27/2015 09:15 AM - Richard Davis

Thank You Dominic.
Just for ref, the limitation was removed from oVirt/RHEV in v3.1.0-18

Cheers

#3 - 04/05/2016 03:47 PM - Bryan Kearney
- Bugzilla link set to 1317529

#4 - 04/11/2016 11:06 AM - Ilvan Necas
- Status changed from New to Assigned

- Assignee set to lvan Necas
https://github.com/oVirt/ovirt-engine/commit/540a75e0f7bc4b9ed879471d3d830d575c6d6060
https://github.com/theforeman/foreman/blob/1.8.0-RC3/app/models/compute_resources/foreman/model/ovirt.rb#L139-L140

#5 - 04/11/2016 11:34 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3415 added

#6 - 04/12/2016 09:01 AM - Ivan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset cf826485d252e8f1d7fee7209¢561751915ea338.

#7 - 04/12/2016 09:02 AM - Dominic Cleal

- translation missing: en.field_release set to 136
